1 - 1.3
post /v1/subnets
Description
Subnet을 생성한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SubnetCreateRequestV1Dot3 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SubnetShowResponseV1Dot3 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/subnets
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.3"
Request body
{
"allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
"category": "PRIMARY",
"cidr": "192.167.1.0/24",
"description": "Subnet Description",
"dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
"gateway_ip_address": "192.167.1.1",
"host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
"name": "subnetName",
"primary_subnet_id": "023c57b14f11483689338d085e061492",
"tags": [],
"type": "PUBLIC",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}
Example HTTP response
Response 202
{
"subnet": {
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"allocation_pools": [],
"category": "PRIMARY",
"cidr": "192.167.1.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Subnet Description",
"dhcp_ip_address": "",
"dns_nameservers": [],
"gateway_ip_address": "192.167.1.1",
"host_routes": [],
"id": "023c57b14f11483689338d085e061492",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "subnetName",
"primary_subnet_id": "023c57b14f11483689338d085e061492",
"secondary_subnet_ids": "[\"522e102f680448a8804d18d4838baa78\", \"aec40baf53c243c1bb8401a703a2c888\"]",
"state": "CREATING",
"type": "PUBLIC",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName",
"zones": "[\"kr-west1-a\", \"kr-west1-b\", \"kr-west1-c\"]"
}
}
2 - 1.2
post /v1/subnets
Description
Subnet을 생성한다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | 20270131 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SubnetCreateRequestV1Dot2 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SubnetShowResponseV1Dot2 |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/subnets
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.2"
Request body
{
"allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
"cidr": "192.167.1.0/24",
"description": "Subnet Description",
"dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
"gateway_ip_address": "192.167.1.1",
"host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
"name": "subnetName",
"tags": [],
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}
Example HTTP response
Response 202
{
"subnet": {
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"allocation_pools": [],
"cidr": "192.167.1.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Subnet Description",
"dhcp_ip_address": "",
"dns_nameservers": [],
"gateway_ip_address": "192.167.1.1",
"host_routes": [],
"id": "023c57b14f11483689338d085e061492",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "subnetName",
"state": "CREATING",
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
}
3 - 1.1
post /v1/subnets
Description
Subnet을 생성한다.
상태 ACTIVE (SUPPORTED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | 20261130 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SubnetCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SubnetShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/subnets
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.1"
Request body
{
"allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
"cidr": "192.167.1.0/24",
"description": "Subnet Description",
"dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
"host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
"name": "subnetName",
"tags": [],
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}
Example HTTP response
Response 202
{
"subnet": {
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"allocation_pools": [],
"cidr": "192.167.1.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Subnet Description",
"dns_nameservers": [],
"gateway_ip_address": "192.167.1.1",
"host_routes": [],
"id": "023c57b14f11483689338d085e061492",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "subnetName",
"state": "CREATING",
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
}
4 - 1.0
post /v1/subnets
Description
Subnet을 생성한다.
상태 ACTIVE (DEPRECATED)
Not Before 기간이 도래하거나 만료된 Deprecated 버전은 더 이상 지원하지 않습니다. 최신 버전 사용을 권장합니다.
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | SubnetCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | SubnetShowResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/subnets
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Request body
{
"allocation_pools": "[{\"start\":\"192.167.1.2\", \"end\":\"192.167.1.100\"}]",
"cidr": "192.167.1.0/24",
"description": "Subnet Description",
"dns_nameservers": "[\"1.1.1.1\", \"2.2.2.2\"]",
"host_routes": "[{\"destination\":\"192.168.10.0/24\", \"nexthop\":\"192.168.10.0\"}]",
"name": "subnetName",
"tags": [],
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8"
}
Example HTTP response
Response 202
{
"subnet": {
"account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
"allocation_pools": [],
"cidr": "192.167.1.0/24",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"description": "Subnet Description",
"dns_nameservers": [],
"gateway_ip_address": "192.167.1.1",
"host_routes": [],
"id": "023c57b14f11483689338d085e061492",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"name": "subnetName",
"state": "CREATING",
"type": "GENERAL",
"vpc_id": "7df8abb4912e4709b1cb237daccca7a8",
"vpc_name": "vpcName"
}
}